A valid request URL is required to generate request examples{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "locked",
"amountAuthorized": 100,
"currency": "USD",
"authorizationExpiry": "2023-11-07T05:31:56Z",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refId": "CT6KQDDEC2"
}{
"code": "INVALID_CARD_ID",
"message": "Invalid Card ID."
}{
"code": "INSUFFICIENT_FUNDS",
"message": "The card associated with this Card ID has insufficient funds to authorize the purchase transaction."
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Your request could not be processed due to a server error."
}Authorize Purchase Transaction
Authorizes Purchase Transaction.
Provide cardId, amount, currency, description, and otpToken within the payload.
On success, funds will be held and a transactionId is returned.
A valid request URL is required to generate request examples{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "locked",
"amountAuthorized": 100,
"currency": "USD",
"authorizationExpiry": "2023-11-07T05:31:56Z",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refId": "CT6KQDDEC2"
}{
"code": "INVALID_CARD_ID",
"message": "Invalid Card ID."
}{
"code": "INSUFFICIENT_FUNDS",
"message": "The card associated with this Card ID has insufficient funds to authorize the purchase transaction."
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Your request could not be processed due to a server error."
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
Requires the cardId, transaction details (amount, currency, description), and the otpToken in the request body.
Identifier of the card to be used for the transaction.
Requested transaction amount.
x >= 0.01Must be a multiple of 0.01100
Currency code (ISO 4217) of the transaction amount.
3"USD"
Description of the transaction (e.g., store details).
"Order #123"
The verification code for authorizing the transaction.
"123456"
Response
Transaction successfully authorized. Funds are locked on the cardholder's account, awaiting capture or release. The response contains the transactionId and authorization details.
A unique identifier (UUID) for this specific transaction authorization. Store this ID securely, as it's required to capture or release the funds.
The current status of the transaction, which will be locked after successful authorization.
locked, captured, void, refunded The actual amount authorized for the transaction, formatted to 2 decimal places.
x >= 0.01Must be a multiple of 0.01100
Currency code (ISO 4217) of the authorized amount.
3"USD"
The timestamp (ISO 8601 format) when this authorization will automatically expire if it is not captured or released.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?(?:Z|[+-]\d{2}(?::?\d{2})?)$The unique identifier (UUID) assigned to the successfully bound card. Store this cardId securely, as it is required to reference this card in all subsequent transaction requests (/verify, /purchase, etc.).
A unique transaction identifier provided for the client’s reference. It can be used to track or correlate transactions
"CT6KQDDEC2"
Was this page helpful?

